Skip to main content
GET
/
v1
/
agave
/
linked_accounts
/
{linked-account-id}
/
ledger_accounts
Retrieve Agave-LedgerAccounts for an Agave-LinkedAccount
curl --request GET \
  --url https://api.tread-horizon.com/v1/agave/linked_accounts/{linked-account-id}/ledger_accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "data": {
        "id": "<string>",
        "name": "<string>",
        "status": "Active",
        "type": "AccountsPayable"
      },
      "type": "AccountsPayable"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

linked-account-id
string<uuid>
required

Agave-LinkedAccount ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
Agave-LedgerAccount-Read · object[]
required